/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/include/Parameters.h"
#include "Behavioural/include/XML.h"

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_front_end {
namespace front_end {
namespace prediction_unit {


#undef  FUNCTION
#define FUNCTION "Prediction_unit::print"
  std::string Parameters::print (uint32_t depth)
  {
    log_printf(FUNC,Prediction_unit,FUNCTION,"Begin");

    XML xml ("prediction_unit");

    xml.balise_open("prediction_unit");
//  xml.singleton_begin(""); xml.attribut("value",toString(_)); xml.singleton_end();
    xml.balise_close();

    log_printf(FUNC,Prediction_unit,FUNCTION,"End");
    
    return xml.get_body(depth);
  };

#undef  FUNCTION
#define FUNCTION "Prediction_unit::operator<<"
  std::ostream& operator<< (std::ostream& output_stream ,
			    morpheo::behavioural::core::multi_front_end::front_end::prediction_unit::Parameters & x)
  {
    log_printf(FUNC,Prediction_unit,FUNCTION,"Begin");

    output_stream << x.print(0);
    
    log_printf(FUNC,Prediction_unit,FUNCTION,"End");

    return output_stream;
  };

}; // end namespace prediction_unit
}; // end namespace front_end
}; // end namespace multi_front_end
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
